import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateSecretVersionStageInput } from "../types/UpdateSecretVersionStageInput";
import { UpdateSecretVersionStageOutput } from "../types/UpdateSecretVersionStageOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/UpdateSecretVersionStageInput";
export * from "../types/UpdateSecretVersionStageOutput";
export * from "../types/UpdateSecretVersionStageExceptionsUnion";
export declare class UpdateSecretVersionStageCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateSecretVersionStageInput, OutputTypesUnion, UpdateSecretVersionStageOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: UpdateSecretVersionStageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateSecretVersionStageInput, UpdateSecretVersionStageOutput, Blob>;
    constructor(input: UpdateSecretVersionStageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<UpdateSecretVersionStageInput, UpdateSecretVersionStageOutput>;
}
