"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListSecretsInput_1 = require("../shapes/ListSecretsInput");
var ListSecretsOutput_1 = require("../shapes/ListSecretsOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListSecrets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListSecrets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListSecretsInput_1.ListSecretsInput
    },
    output: {
        shape: ListSecretsOutput_1.ListSecretsOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=ListSecrets.js.map