"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListSecretVersionIdsInput = {
    type: "structure",
    required: ["SecretId"],
    members: {
        SecretId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        NextToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        IncludeDeprecated: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=ListSecretVersionIdsInput.js.map