"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateSecretVersionStageInput = {
    type: "structure",
    required: ["SecretId", "VersionStage"],
    members: {
        SecretId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        VersionStage: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RemoveFromVersionId: {
            shape: {
                type: "string",
                min: 32
            }
        },
        MoveToVersionId: {
            shape: {
                type: "string",
                min: 32
            }
        }
    }
};
//# sourceMappingURL=UpdateSecretVersionStageInput.js.map