"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecretVersionStagesType_1 = require("./_SecretVersionStagesType");
exports._SecretVersionsListEntry = {
    type: "structure",
    required: [],
    members: {
        VersionId: {
            shape: {
                type: "string",
                min: 32
            }
        },
        VersionStages: {
            shape: _SecretVersionStagesType_1._SecretVersionStagesType
        },
        LastAccessedDate: {
            shape: {
                type: "timestamp"
            }
        },
        CreatedDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_SecretVersionsListEntry.js.map