import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CancelRotateSecretInput } from "../types/CancelRotateSecretInput";
import { CancelRotateSecretOutput } from "../types/CancelRotateSecretOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/CancelRotateSecretInput";
export * from "../types/CancelRotateSecretOutput";
export * from "../types/CancelRotateSecretExceptionsUnion";
export declare class CancelRotateSecretCommand implements __aws_sdk_types.Command<InputTypesUnion, CancelRotateSecretInput, OutputTypesUnion, CancelRotateSecretOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: CancelRotateSecretInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CancelRotateSecretInput, CancelRotateSecretOutput, Blob>;
    constructor(input: CancelRotateSecretInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<CancelRotateSecretInput, CancelRotateSecretOutput>;
}
