import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResourcePolicyInput } from "../types/GetResourcePolicyInput";
import { GetResourcePolicyOutput } from "../types/GetResourcePolicyOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/GetResourcePolicyInput";
export * from "../types/GetResourcePolicyOutput";
export * from "../types/GetResourcePolicyExceptionsUnion";
export declare class GetResourcePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResourcePolicyInput, OutputTypesUnion, GetResourcePolicyOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: GetResourcePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResourcePolicyInput, GetResourcePolicyOutput, Blob>;
    constructor(input: GetResourcePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<GetResourcePolicyInput, GetResourcePolicyOutput>;
}
